org.codehaus.plexus.configuration.processor

## Class FileConfigurationResourceHandler

- java.lang.Object
- - org.codehaus.plexus.configuration.processor.AbstractConfigurationResourceHandler
  - - org.codehaus.plexus.configuration.processor.FileConfigurationResourceHandler

All Implemented Interfaces:
  ConfigurationResourceHandler

    public class FileConfigurationResourceHandler
    extends AbstractConfigurationResourceHandler

Version:
  $Id: FileConfigurationResourceHandler.java 1781 2005-05-05 19:06:04Z jdcasey $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.configuration.processor.ConfigurationResourceHandler

`SOURCE`

### Constructor Summary

Constructors
Constructor and Description
`FileConfigurationResourceHandler()`

### Method Summary

Methods
`String` `getId()`
`PlexusConfiguration[]` `handleRequest(Map parameters)`

### Methods inherited from class org.codehaus.plexus.configuration.processor.AbstractConfigurationResourceHandler

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileConfigurationResourceHandler

    public FileConfigurationResourceHandler()

### Method Detail

#### getId

    public String getId()

#### handleRequest

    public PlexusConfiguration[] handleRequest(Map parameters)
                                        throws ConfigurationResourceNotFoundException,
                                               ConfigurationProcessingException

Throws:
  `ConfigurationResourceNotFoundException`
  `ConfigurationProcessingException`